/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * 登録/削除確認メッセージ。
 */
var MSG_DIFFERENCE_REQUEST_CHECK	= "TMW0230";

/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 未申請
	if (jsStatusApplication == "Unclaimed"){
		setDisabled("btnDelete", true);
	}
	// 未承認
	if (jsStatusApplication == "Unauthorized"){
		setDisabled("btnRegist", true);
		setDisabled("btnDraft", true);
		setDisabled("btnDelete", true);
	}
	
	// 有効日(編集)モード確認
	if (modeActivateDate == MODE_ACTIVATE_DATE_FIXED) {
		// 有効日編集不可
		setDisabled("pltEditRequestYear", true);
		setDisabled("pltEditRequestMonth", true);
		setDisabled("pltEditRequestDay", true);
		setDisabled("pltEditHolidayType", true);
	} else {
		// 登録ボタン利用不可
		setDisabled("btnRegist", true);
		setDisabled("btnDraft", true);
	}
}

/**
 * 追加チェックを行う。<br>
 * @param aryMessage エラーメッセージ格納配列
 * @param event イベント
 * @return 無し
 */
function checkExtra(aryMessage, event) {
	// チェックボックス必須確認
	checkBoxRequired("ckbSelect", aryMessage);
}

/**
 * 入力チェックを行った後、更新系確認メッセージを出し、リクエストを送信する。<br>
 * データ登録、更新時等に用いる。<br>
 * @param event          イベントオブジェクト
 * @param validateTarget 入力チェック対象(null：チェックを行わない、""：全体をチェック)
 * @param objExtraCheck  追加チェック関数オブジェクト(null：追加チェック無し)
 * @param cmd            コマンド
 * @return 無し
 */
function submitDiffcheckRegist(event, validateTarget, objExtraCheck, cmd) {
	if( jsModeDifferenceRequest1 == "on" ){
		var flg = 0;
		if ( getFormValue("pltEditHolidayRange") == "2" || getFormValue("pltEditHolidayRange") == "3" ) {
			flg = 1;
		}
		if( flg == 1 ){
			// 入力チェック
			if (validate(validateTarget, objExtraCheck, event)) {
				// 更新系確認メッセージ
				if (confirm(getMessage(MSG_DIFFERENCE_REQUEST_CHECK, jsModeRequestDate1))) {
					// リクエスト送信
					doSubmit(document.form, cmd);
				}
			}
		} else {
			submitRegist(event, validateTarget, objExtraCheck, cmd);
		}
	} else {
		submitRegist(event, validateTarget, objExtraCheck, cmd);
	}
}

/**
 * 追加チェックを行う。<br>
 * @param aryMessage エラーメッセージ格納配列
 * @param event イベント
 * @return 無し
 */
function checkDateExtra(aryMessage, event) {
	checkDate("pltEditRequestYear", "pltEditRequestMonth", "pltEditRequestDay", aryMessage); 
}
